
Katello - Bug #4745

ERF51-5531: unknown permission for katello/api/v2/organizations#repo_discover

(Foreman::Exception)

03/20/2014 12:46 PM - Pavel Studenik

Status: Closed   

Priority: High   

Assignee: Justin Sherrill   

Category: Web UI   

Target version: Katello 2.0   

Difficulty:  Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

foreman-1.5.0.9-1.el6sat.noarch

When I tried discovery repo (Content -> Products -> Yum Repo Discovery), I got following error:

Processing by Katello::Api::V2::OrganizationsController#repo_discover as JSON

Parameters: {"id"=>"ACME_Corporation", "url"=>"http://yum.spacewalkproject.org/2.1-client/Fedora/20/x86_64/",

"api_version"=>"v2", "organization"=>{"id"=>"ACME_Corporation"}}

ERF51-5531: unknown permission for katello/api/v2/organizations#repo_discover (Foreman::Exception)

/usr/share/foreman/app/controllers/api/base_controller.rb:275:in `action_permission'

/usr/share/foreman/app/controllers/api/base_controller.rb:50:in `resource_scope'

/usr/share/foreman/app/controllers/api/base_controller.rb:153:in `block in

...

/usr/lib/ruby/gems/1.8/gems/passenger-4.0.5/lib/phusion_passenger/rack/thread_handler_extension.rb:77:in `process_request'

/usr/lib/ruby/gems/1.8/gems/passenger-4.0.5/lib/phusion_passenger/request_handler/thread_handler.rb:140:in

`accept_and_process_next_request'

/usr/lib/ruby/gems/1.8/gems/passenger-4.0.5/lib/phusion_passenger/request_handler/thread_handler.rb:108:in `main_loop'

/usr/lib/ruby/gems/1.8/gems/passenger-4.0.5/lib/phusion_passenger/request_handler.rb:441:in `block (3 levels) in start_threads'

/opt/rh/ruby193/root/usr/share/gems/gems/logging-1.8.1/lib/logging/diagnostic_context.rb:323:in `call'

/opt/rh/ruby193/root/usr/share/gems/gems/logging-1.8.1/lib/logging/diagnostic_context.rb:323:in `block in

create_with_logging_context'

Rendered api/v2/errors/standard_error.json.rabl within api/v2/layouts/error_layout (0.9ms)

Completed 500 Internal Server Error in 20ms (Views: 9.6ms | ActiveRecord: 0.4ms)

Associated revisions

Revision c0794536 - 04/01/2014 04:31 PM - Justin Sherrill

fixes #4745 - fixing error on repo discover

This is a temporary fix until we fully integrate foreman roles into katello

Revision 879f1cae - 04/01/2014 05:07 PM - Justin Sherrill 

Merge pull request #3929 from jlsherrill/discover

fixes #4745 - fixing error on repo discover

Revision 36c2153a - 04/01/2014 08:31 PM - Justin Sherrill

fixes #4745 - fixing error on repo discover

This is a temporary fix until we fully integrate foreman roles into katello

Revision 009db9cc - 04/01/2014 09:07 PM - Justin Sherrill

Merge pull request #3929 from jlsherrill/discover

fixes #4745 - fixing error on repo discover
History

#1 - 03/20/2014 12:53 PM - Dominic Cleal

- Project changed from Foreman to Katello

- Category deleted (47)

#2 - 03/21/2014 08:16 PM - Mike McCune

- Triaged set to Yes

#3 - 03/21/2014 08:20 PM - Mike McCune

- Triaged deleted (Yes)

#4 - 03/21/2014 09:51 PM - Mike McCune

- Assignee set to Partha Aji

- Priority changed from Normal to High

- Triaged set to Yes

#5 - 04/01/2014 04:23 PM - Justin Sherrill

- Category set to Web UI

- Status changed from New to Assigned

- Assignee changed from Partha Aji to Justin Sherrill

#6 - 04/01/2014 04:53 PM - Justin Sherrill

https://github.com/Katello/katello/pull/3929

#7 - 04/01/2014 09:52 PM - Justin Sherrill

- Status changed from Assigned to Closed

- % Done changed from 0 to 100

Applied in changeset katello|commit:36c2153a7bd0386251e86a2738b60262ac6ed2c2.

#8 - 08/21/2014 02:31 PM - Eric Helms

- translation missing: en.field_release set to 13
